#3788 Multiple same specifications for /var/lib/ipa/pki-ca/publish(/.*)?.
Closed: Fixed None Opened 8 years ago by mkosek.

Ticket was cloned from Red Hat Bugzilla (product Fedora): Bug 980635

Description of problem:

Error during yum install of freeipa-server.

I am using selinux-policy from updates-testing to resolve bug #976159.


Version-Release number of selected component (if applicable):

freeipa-server-3.2.1-1.fc19.x86_64
selinux-policy-3.12.1-57.fc19.x86_64


How reproducible: Consistent


Steps to Reproduce:

1. Build a new Fedora 19 VM
2. yum update --assumeyes
3. yum update --assumeyes --enablerepo updates-testing selinux-policy
4. yum install --assumeyes bind bind-dyndb-ldap freeipa-server


Actual results:

  Installing : freeipa-server-3.2.1-1.fc19.x86_64                       186/188
  Installing : freeipa-server-selinux-3.2.1-1.fc19.x86_64               187/188
/etc/selinux/targeted/contexts/files/file_contexts: Multiple same
specifications for /var/lib/ipa/pki-ca/publish(/.*)?.
/etc/selinux/targeted/contexts/files/file_contexts: Invalid argument
libsemanage.semanage_install_active: setfiles returned error code 1.
semodule:  Failed!
  Installing : bind-dyndb-ldap-3.2-1.fc19.x86_64                        188/188
  Verifying  : freeipa-client-3.2.1-1.fc19.x86_64                         1/188


Expected results:

  Installing : freeipa-server-3.2.1-1.fc19.x86_64                       186/188
  Installing : freeipa-server-selinux-3.2.1-1.fc19.x86_64               187/188
  Installing : bind-dyndb-ldap-3.2-1.fc19.x86_64                        188/188
  Verifying  : freeipa-client-3.2.1-1.fc19.x86_64                         1/188


Additional info:

This is a follow up for changes done in #3683 and #3684.


This is a regression in 3.2.x, I am already working with Miroslav Grepl on fixing this in selinux-policy.

Patch freeipa-mkosek-414-require-new-selinux-policy-replacing-old-server-seli.patch sent for review

master:[[BR]]
1dcbb3a Require new selinux-policy replacing old server-selinux subpacka

ipa-3-2:[[BR]]
be327e2 Require new selinux-policy replacing old server-selinux subpacka

Metadata Update from @mkosek:
- Issue assigned to mkosek
- Issue set to the milestone: FreeIPA 3.2.x - 2013/07 (bug fixing)

4 years ago

Login to comment on this ticket.

Metadata